import { fetchEncodedAccount, fetchEncodedAccounts, type Account, type Address, type EncodedAccount, type FetchAccountConfig, type FetchAccountsConfig, type FixedSizeCodec, type FixedSizeDecoder, type FixedSizeEncoder, type MaybeAccount, type MaybeEncodedAccount, type ReadonlyUint8Array } from "@solana/kit";
export declare const TOKEN_PAIR_DISCRIMINATOR: Uint8Array<ArrayBuffer>;
export declare function getTokenPairDiscriminatorBytes(): ReadonlyUint8Array<ArrayBuffer>;
export type TokenPair = {
    discriminator: ReadonlyUint8Array;
    remoteDomain: number;
    remoteToken: Address;
    localToken: Address;
    bump: number;
};
export type TokenPairArgs = {
    remoteDomain: number;
    remoteToken: Address;
    localToken: Address;
    bump: number;
};
export declare function getTokenPairEncoder(): FixedSizeEncoder<TokenPairArgs>;
export declare function getTokenPairDecoder(): FixedSizeDecoder<TokenPair>;
export declare function getTokenPairCodec(): FixedSizeCodec<TokenPairArgs, TokenPair>;
export declare function decodeTokenPair<TAddress extends string = string>(encodedAccount: EncodedAccount<TAddress>): Account<TokenPair, TAddress>;
export declare function decodeTokenPair<TAddress extends string = string>(encodedAccount: MaybeEncodedAccount<TAddress>): MaybeAccount<TokenPair, TAddress>;
export declare function fetchTokenPair<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<Account<TokenPair, TAddress>>;
export declare function fetchMaybeTokenPair<TAddress extends string = string>(rpc: Parameters<typeof fetchEncodedAccount>[0], address: Address<TAddress>, config?: FetchAccountConfig): Promise<MaybeAccount<TokenPair, TAddress>>;
export declare function fetchAllTokenPair(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<Account<TokenPair>[]>;
export declare function fetchAllMaybeTokenPair(rpc: Parameters<typeof fetchEncodedAccounts>[0], addresses: Array<Address>, config?: FetchAccountsConfig): Promise<MaybeAccount<TokenPair>[]>;
export declare function getTokenPairSize(): number;
